package com.bocloud.cmp.model.hmc.sdk.module;

import com.bocloud.cmp.model.hmc.sdk.common.Metadata;

public class ProfileMemory {
    private Metadata metadata;
    private String activeMemoryExpansionEnabled;
    private String activeMemorySharingEnabled;
    private String barrierSynchronizationRegisterArrayCount;
    private String desiredHugePageCount;
    private String desiredMemory;
    private String hardwarePageTableRatio;
    private String maximumHugePageCount;
    private String maximumMemory;
    private String minimumHugePageCount;
    private String minimumMemory;

    public ProfileMemory() {
    }

    public Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(Metadata metadata) {
        this.metadata = metadata;
    }

    public String getActiveMemoryExpansionEnabled() {
        return activeMemoryExpansionEnabled;
    }

    public void setActiveMemoryExpansionEnabled(String activeMemoryExpansionEnabled) {
        this.activeMemoryExpansionEnabled = activeMemoryExpansionEnabled;
    }

    public String getActiveMemorySharingEnabled() {
        return activeMemorySharingEnabled;
    }

    public void setActiveMemorySharingEnabled(String activeMemorySharingEnabled) {
        this.activeMemorySharingEnabled = activeMemorySharingEnabled;
    }

    public String getBarrierSynchronizationRegisterArrayCount() {
        return barrierSynchronizationRegisterArrayCount;
    }

    public void setBarrierSynchronizationRegisterArrayCount(String barrierSynchronizationRegisterArrayCount) {
        this.barrierSynchronizationRegisterArrayCount = barrierSynchronizationRegisterArrayCount;
    }

    public String getDesiredHugePageCount() {
        return desiredHugePageCount;
    }

    public void setDesiredHugePageCount(String desiredHugePageCount) {
        this.desiredHugePageCount = desiredHugePageCount;
    }

    public String getDesiredMemory() {
        return desiredMemory;
    }

    public void setDesiredMemory(String desiredMemory) {
        this.desiredMemory = desiredMemory;
    }

    public String getHardwarePageTableRatio() {
        return hardwarePageTableRatio;
    }

    public void setHardwarePageTableRatio(String hardwarePageTableRatio) {
        this.hardwarePageTableRatio = hardwarePageTableRatio;
    }

    public String getMaximumHugePageCount() {
        return maximumHugePageCount;
    }

    public void setMaximumHugePageCount(String maximumHugePageCount) {
        this.maximumHugePageCount = maximumHugePageCount;
    }

    public String getMaximumMemory() {
        return maximumMemory;
    }

    public void setMaximumMemory(String maximumMemory) {
        this.maximumMemory = maximumMemory;
    }

    public String getMinimumHugePageCount() {
        return minimumHugePageCount;
    }

    public void setMinimumHugePageCount(String minimumHugePageCount) {
        this.minimumHugePageCount = minimumHugePageCount;
    }

    public String getMinimumMemory() {
        return minimumMemory;
    }

    public void setMinimumMemory(String minimumMemory) {
        this.minimumMemory = minimumMemory;
    }

    @Override
    public String toString() {
        return "ProfileMemory [metadata=" + metadata + ", activeMemoryExpansionEnabled=" + activeMemoryExpansionEnabled
            + ", activeMemorySharingEnabled=" + activeMemorySharingEnabled
            + ", barrierSynchronizationRegisterArrayCount=" + barrierSynchronizationRegisterArrayCount
            + ", desiredHugePageCount=" + desiredHugePageCount + ", desiredMemory=" + desiredMemory
            + ", hardwarePageTableRatio=" + hardwarePageTableRatio + ", maximumHugePageCount="
            + maximumHugePageCount + ", maximumMemory=" + maximumMemory + ", minimumHugePageCount="
            + minimumHugePageCount + ", minimumMemory=" + minimumMemory + "]";
    }
}
